<?php
/**
 * Magento Hackathon 2014 UK
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/osl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@magentocommerce.com so we can send you a copy immediately.
 *
 * @category   Magehack
 * @package    Magehack_Autogrid
 * @copyright  Copyright (c) 2014 Magento community
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

class Magehack_Autogrid_Block_Adminhtml_Edit_Form extends Mage_Adminhtml_Block_Widget_Form
{
    /**
     * Preparing form
     *
     * @return Mage_Adminhtml_Block_Widget_Form
     */
    protected function _prepareForm()
    {
        $form = new Varien_Data_Form(
            array(
                'id' => 'edit_form',
                'action' => $this->getUrl('*/*/save'),
                'method' => 'post',
            )
        );

        $form->setUseContainer(true);
        $this->setForm($form);

        $helper = Mage::helper('magehack_autogrid');

        $fieldset = $form->addFieldset('form1', array(
            'legend' => $helper->_('Form'),
            'class' => 'fieldset-wide'
        ));

        $table = $helper->getCurrentTable();

        foreach ($table->getCells() as $cell) {
            $fieldset->addField($cell->getName(), $cell->getFormInputType(), $cell->getFormInfo());
        }

        if ($obj = Mage::helper('magehack_autogrid')->getCurrentObject()) {
            $form->setValues($obj->getData());
        }

        return parent::_prepareForm();
    }
}
